#!/bin/sh
#
###########################################
fastd_stop ()
{
  echo -n "passe VPN an..."
  sleep 2
  /etc/init.d/fastd  stop
  echo -n "." ; uci del fastd.mesh_vpn_backbone_peer_vpn3.remote
}
###########################################
###########################################
echo "****************************************"
echo "** VPN Setup - Vorauswahl von Servern **"
echo "****************************************"
echo
# echo -n "passe VPN an..."
###########################################

case "$1"
  in
    a)
        fastd_stop
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3a.freifunk-halle.org" port 10000'
    ;;
    b)
        fastd_stop
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3b.freifunk-halle.org" port 10000'
    ;;
    c)
        fastd_stop
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3c.freifunk-halle.org" port 10000'
    ;;
    d)
        fastd_stop
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3d.freifunk-halle.org" port 10000'
    ;;
    f)
        fastd_stop
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3f.freifunk-halle.org" port 10000'
    ;;
    g)
        fastd_stop
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3g.freifunk-halle.org" port 10000'
    ;;
    auto)
        fastd_stop
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3.freifunk-halle.org" port 10000'
    ;;
    cdba)
        fastd_stop
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3c.freifunk-halle.org" port 10000'
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3d.freifunk-halle.org" port 10000'
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3b.freifunk-halle.org" port 10000'
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3a.freifunk-halle.org" port 10000'
    ;;
    gf)
        fastd_stop
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3g.freifunk-halle.org" port 10000'
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3f.freifunk-halle.org" port 10000'
    ;;
    cgf)
        fastd_stop
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3c.freifunk-halle.org" port 10000'
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3g.freifunk-halle.org" port 10000'
        echo -n "." ; uci add_list fastd.mesh_vpn_backbone_peer_vpn3.remote='"vpn3f.freifunk-halle.org" port 10000'
    ;;
    s|st|stat|status)
        echo -n "Aktueller VPN-Eintrag: "
        uci get fastd.mesh_vpn_backbone_peer_vpn3.remote
        echo
        exit 0
    ;;
    *)
        echo "Verwendung: VPNSET [auto|a|b|c|d|f|g|cdba|gf|cgf|s(tatus)]"
        echo
        exit 1
    ;;
esac
uci commit

/etc/init.d/system restart
sleep 4
/etc/init.d/fastd  start

echo " VPN $1 OK"
###########################################
echo "VPNSET $1 erledigt!"
echo
###########################################
